package cn.com.qmth.stmms.common.enums;

public enum ScanCheck {

    TODO("未审核", 1), PENDING("待定", 2), CHECKED("已审核", 3), IGNORE("忽略", 4);

    private String name;

    private int value;

    private ScanCheck(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static ScanCheck findByValue(int value) {
        ScanCheck type = null;
        for (ScanCheck s : ScanCheck.values()) {
            if (s.getValue() == value) {
                type = s;
                break;
            }
        }
        return type;
    }
}
